[oe-commits] Darren Hart : mkefidisk: Attempt to automatically unmount target device

git at git.openembedded.org git at git.openembedded.org
Mon Apr 29 13:40:29 UTC 2013


Module: openembedded-core.git
Branch: master
Commit: f522ff19ba4b80788d66a2c58ee50b86fdfea15f
URL:    http://git.openembedded.org/?p=openembedded-core.git&a=commit;h=f522ff19ba4b80788d66a2c58ee50b86fdfea15f

Author: Darren Hart <dvhart at linux.intel.com>
Date:   Thu Apr 25 10:23:51 2013 -0700

mkefidisk: Attempt to automatically unmount target device

With automounters abounding it makes more sense to attempt to unmount
the device rather than abort, just like ddimage does.

Signed-off-by: Darren Hart <dvhart at linux.intel.com>
Signed-off-by: Saul Wold <sgw at linux.intel.com>

---

 scripts/contrib/mkefidisk.sh |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

diff --git a/scripts/contrib/mkefidisk.sh b/scripts/contrib/mkefidisk.sh
index acadd49..741c3ab 100755
--- a/scripts/contrib/mkefidisk.sh
+++ b/scripts/contrib/mkefidisk.sh
@@ -102,10 +102,14 @@ fi
 #
 grep -q $DEVICE /proc/mounts
 if [ $? -eq 0 ]; then
-	echo "ERROR: $DEVICE partitions mounted:"
-	grep $DEVICE /proc/mounts | cut -f 1 -d " "
-	echo "Unmount the partitions listed and try again."
-	exit 1
+	echo -n "$DEVICE listed in /proc/mounts, attempting to unmount..."
+	umount $DEVICE* 2>/dev/null
+	grep -q $DEVICE /proc/mounts
+	if [ $? -eq 0 ]; then
+		echo "FAILED"
+		exit 1
+	fi
+	echo "OK"
 fi
 
 
@@ -153,6 +157,7 @@ echo "Boot partition size:   $BOOT_SIZE MB ($BOOTFS)"
 echo "ROOTFS partition size: $ROOTFS_SIZE MB ($ROOTFS)"
 echo "Swap partition size:   $SWAP_SIZE MB ($SWAP)"
 echo "*****************"
+
 echo "Deleting partition table on $DEVICE ..."
 dd if=/dev/zero of=$DEVICE bs=512 count=2
 





More information about the Openembedded-commits mailing list